import { AnyAction } from 'redux';
import { ActionSet, ExplicitlyTypedAction, ProxiedActionSet, Effect } from './interfaces';
export declare function effect<S, A = AnyAction>(func: Effect<S, A>): Effect<S, A>;
export declare function actionTypeEffect<S, T>(types: string[], func: Effect<S, T>): Effect<S, AnyAction>;
export declare function internalReducerEffect<S, A extends ActionSet>(actionSet: ProxiedActionSet<A>, func: Effect<S, ExplicitlyTypedAction<keyof A>>): Effect<S, AnyAction>;
