"use strict";
// -- Module Exports -- //
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("./action"));
__export(require("./actionset"));
__export(require("./actiontype"));
__export(require("./effect"));
__export(require("./enhancer"));
__export(require("./tracker"));
__export(require("./function_producer"));
__export(require("./state"));
__export(require("./methods"));
__export(require("./properties"));
__export(require("./reducer"));
__export(require("./util"));
var reducer_1 = require("./reducer");
var properties_1 = require("./properties");
var enhancer_1 = require("./enhancer");
function pod(initialState) {
    if (initialState === null || typeof initialState === 'function') {
        throw new Error("Invalid initial state of type " + typeof initialState + ". Expected object or primitive.");
    }
    return new reducer_1.PodReducer(new properties_1.PodProperties({
        initialState: initialState,
        actionSet: {}
    })).getBoundFunc();
}
exports.default = pod;
pod.enhancer = enhancer_1.reduxPodEnhancer;
