import { ChainedPod, ActionSet, Effect, ExposedActionCreator } from './interfaces';
export declare function mergeEffects<E extends Effect<any, any>>(existingEffect: E, newEffect: E): E;
export declare function findPath(obj: any, toFind: any, ...path: string[]): string;
export declare function isPod<S, A extends ActionSet<S>>(pod: ChainedPod<any, any>): pod is ChainedPod<S, A>;
export declare function isActionSet<S>(obj: any): obj is ActionSet<S>;
export declare function isProxiedAction(val: any): val is ExposedActionCreator<any>;
