"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spread = (this && this.__spread) || function () {
    for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = __importDefault(require("lodash"));
function mapStateFromPath(storeState, podPath, subPaths) {
    if (subPaths === void 0) { subPaths = []; }
    var state = lodash_1.default.get(storeState, podPath, undefined);
    if (!state) {
        throw new Error("Unable to locate state from path " + podPath + ". Your redux store is likely uninitialized or misconfigured.");
    }
    return !subPaths.length
        ? state
        : subPaths.reduce(function (mappedState, path) {
            var _a;
            return (__assign(__assign({}, mappedState), (_a = {}, _a[path] = state[path], _a)));
        }, {});
}
exports.mapStateFromPath = mapStateFromPath;
function mapStateFromFunction(selector) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    return selector(mapStateFromPath.apply(void 0, __spread(args)));
}
exports.mapStateFromFunction = mapStateFromFunction;
